xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009 Alejandro Serrano 2010
License | BSD3-style (see LICENSE)
Maintainer | trupill@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ImageButtonDecoration

Contents

- Usage:

Description

A decoration that includes small image buttons on both ends which invoke various actions when clicked on: Show a window menu (see XMonad.Actions.WindowMenu), minimize, maximize or close the window.

Note: For maximizing and minimizing to actually work, you will need to integrate XMonad.Layout.Maximize and XMonad.Layout.Minimize into your setup. See the documentation of those modules for more information.

Synopsis

- imageButtonDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration ImageButtonDecoration s) l a
- defaultThemeWithImageButtons :: Theme
- imageTitleBarButtonHandler :: Window -> Int -> Int -> X Bool
- data ImageButtonDecoration a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ImageButtonDecoration

Then edit your `layoutHook` by adding the ImageButtonDecoration to your layout:

    myL = imageButtonDeco shrinkText defaultThemeWithImageButtons (layoutHook def)
    main = xmonad def { layoutHook = myL }

imageButtonDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration ImageButtonDecoration s) l a Source #

defaultThemeWithImageButtons :: Theme Source #

imageTitleBarButtonHandler :: Window -> Int -> Int -> X Bool Source #

A function intended to be plugged into the `decorationCatchClicksHook` of a decoration. It will intercept clicks on the buttons of the decoration and invoke the associated action. To actually see the buttons, you will need to use a theme that includes them. See `defaultThemeWithImageButtons` below.

data ImageButtonDecoration a Source #

Instances

Eq a => DecorationStyle ImageButtonDecoration a Source # |

Methods

describeDeco :: ImageButtonDecoration a -> String Source #

shrink :: ImageButtonDecoration a -> Rectangle -> Rectangle -> Rectangle Source #

decorationEventHook :: ImageButtonDecoration a -> DecorationState -> Event -> X () Source #

decorationCatchClicksHook :: ImageButtonDecoration a -> Window -> Int -> Int -> X Bool Source #

decorationWhileDraggingHook :: ImageButtonDecoration a -> CInt -> CInt -> (Window, Rectangle) -> Position -> Position -> X () Source #

decorationAfterDraggingHook :: ImageButtonDecoration a -> (Window, Rectangle) -> Window -> X () Source #

pureDecoration :: ImageButtonDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> Maybe Rectangle Source #

decorate :: ImageButtonDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> X (Maybe Rectangle) Source #

Read (ImageButtonDecoration a) Source # |
Methods readsPrec :: Int -> ReadS (ImageButtonDecoration a) # readList :: ReadS [ImageButtonDecoration a] # readPrec :: ReadPrec (ImageButtonDecoration a) # readListPrec :: ReadPrec [ImageButtonDecoration a] #
Show (ImageButtonDecoration a) Source # |
Methods showsPrec :: Int -> ImageButtonDecoration a -> ShowS # show :: ImageButtonDecoration a -> String # showList :: [ImageButtonDecoration a] -> ShowS #